<div class="phase-case-action-form">

  <div>
    <zs-email-preview
      ng-show="$ctrl.getLocals().emailPreviewActive"
      preview-data="$ctrl.getEmailPreviewData()"
      case-id="$ctrl.caseId()"
      class="phase-email-preview-wrapper"
      email-template-data="$ctrl.emailTemplateData()"
    >
    </zs-email-preview>
  </div>

  <form ng-submit="$ctrl.handleSubmit()" ng-show="!$ctrl.getLocals().emailPreviewActive">
    <div
      ng-if="$ctrl.formNote()"
      class="form-message"
    >{{$ctrl.formNote()}}</div>

    <vorm-fieldset
      data-fields="$ctrl.getFields()"
      data-valid="$ctrl.getValidity()"
      data-values="$ctrl.getValues()"
      data-locals="$ctrl.getLocals()"
      on-change="$ctrl.handleChange($name, $value)"
    ></vorm-fieldset>
  </form>

  <div class="form-actions">
      <button
        ng-show="$ctrl.isEmailAction()"
        class="btn btn-flat"
        ng-click="$ctrl.toggleEmailPreview()"
      >
        {{$ctrl.getLocals().emailPreviewActive ? 'Voorbeeld sluiten' : 'Voorbeeld'}}
      </button>

      <button
        class="btn btn-flat"
        type="submit"
        ng-show="$ctrl.canEdit()"
        ng-click="$ctrl.canSave() && $ctrl.handleSaveClick()"
        zs-disabled="!$ctrl.canSave()"
      >
        Opslaan
      </button>

      <button
        class="btn btn-flat"
        type="button"
        ng-show="$ctrl.canEdit()"
        ng-click="$ctrl.canExecute() && $ctrl.handleExecuteClick()"
        zs-disabled="!$ctrl.canExecute()"
      >
        {{$ctrl.getVerb()}}
      </button>
    </div>

</div>

